First, my apologies in advance for my being a bit long worded in this post, but I thought this was the best way to communicate and explain this…

An issue that has troubled customers for many years is that many of our products use or rely on other products of ours.  While that in itself is not an issue (and we consider it a benefit), the issue it causes is that updates from one product group do NOT contain updates for the other products.  In some cases, when an update for another product is required, the PG team will add in a pre-verification check letting you know that you need to install another product’s update first, but that's about it.

However, fixes/updates to other products that are nice to have or recommended do NOT fall into this category.  And since most customers do not run Windows Update on the servers, but instead simply deploy known patches/updates/rollups/CUs manually, they may not be aware that other updates may be needed.

For Lync, the main other product we rely upon (besides Windows) is SQL (both full SQL and SQL Express).  Many customers ask if Lync is supported/works with the latest SQL service pack (this question mainly comes up because the SQL team wants to deploy it to the SQL servers used by Lync, so the Lync team asks us if it's supported).  However, what gets overlooked is the copy of SQL Express that sits on all the Lync servers.  And, again, unless you’re occasionally running Windows Update to see what updates are available, you may not think of it as well (I'll even Microsoft support folks sometimes forget about it too).  The other situation where this also arises, is with Standard Edition servers…which completely use SQL express and may not be maintained by your SQL teams.

Now, why did I just ramble on about this?  SQL 2012 SP2 was released a few months ago and contained several performance fixes.  Customers deploying it to the instance of SQL Express running on the Lync servers are seeing noticeable performance improvements.

So, in summary, on your next patch cycle for your Lync environment (say to deploy the latest updates…*hint* *hint*), be sure to include applying SQL 2012 SP2.  As well as on your Lync 2010 environments, be sure to apply SQL 2008 SP3

For customers still using OCS, this recommendation is also valid but only if you have OCS Standard Edition servers (which, like Lync Standard Edition servers, use SQL Express).